Hi Michael,

Thanks for the patches ! LGTM will add to kirkstone.
Kind regards,
Pawel

On Wed, 21 Aug 2024 at 11:16, <michael.cobb@iceotope.com> wrote:
>From a5a9bf47a5793bed32c44ee0b1f19bfd63a76724 Mon Sep 17 00:00:00 2001
From: Michael Cobb <michael.cobb@iceotope.com>
Date: Fri, 16 Aug 2024 15:30:32 +0100
Subject: [PATCH 2/2] dbus: C64 initial commit

Initial commit of dbus C64 recipes

Signed-off-by: Michael Cobb <michael.cobb@iceotope.com>
---
 recipes-core/dbus/dbus-morello_1.15.0.bb | 190 +++++++++++++++++++++++
 recipes-core/dbus/dbus/dbus-1.init       | 123 +++++++++++++++
 recipes-core/dbus/dbus/tmpdir.patch      |  44 ++++++
 3 files changed, 357 insertions(+)
 create mode 100644 recipes-core/dbus/dbus-morello_1.15.0.bb
 create mode 100644 recipes-core/dbus/dbus/dbus-1.init
 create mode 100644 recipes-core/dbus/dbus/tmpdir.patch

diff --git a/recipes-core/dbus/dbus-morello_1.15.0.bb b/recipes-core/dbus/dbus-morello_1.15.0.bb
new file mode 100644
index 0000000..8a3451e
--- /dev/null
+++ b/recipes-core/dbus/dbus-morello_1.15.0.bb
@@ -0,0 +1,190 @@
+inherit autotools pkgconfig gettext upstream-version-is-even purecap-sysroot purecap-useradd update-rc.d systemd logging
+
+SUMMARY = "D-Bus message bus"
+DESCRIPTION = "D-Bus is a message bus system, a simple way for applications to talk to one another. In addition to interprocess communication, D-Bus helps coordinate process lifecycle; it makes it simple and reliable to code a \"single instance\" application or daemon, and to launch applications and daemons on demand when their services are needed."
+HOMEPAGE = "https://dbus.freedesktop.org"
+SECTION = "base"
+
+MORELLO_SRC = "poky/meta/recipes-core/dbus/*"
+
+LICENSE = "AFL-2.1 | GPL-2.0-or-later"
+
+LIC_FILES_CHKSUM = "file://COPYING;md5=a11183c1ba65ef542fd09be2fcc53e52 \
+                    file://dbus/dbus.h;beginline=6;endline=20;md5=866739837ccd835350af94dccd6457d8 \
+                    "
+
+FILESEXTRAPATHS:append := "${THISDIR}/dbus:"
+
+S = "${WORKDIR}/dbus-${PV}"
+
+TOOLCHAIN = "${MORELLO_TOOLCHAIN}"
+
+CC:remove = "${CC_PURECAP_FLAGS}"
+CFLAGS:append = "${CC_PURECAP_FLAGS}"
+LDFLAGS:append = "${LD_PURECAP_FLAGS}"
+
+SRC_URI = "https://dbus.freedesktop.org/releases/dbus/dbus-${PV}.tar.xz \
+           file://tmpdir.patch \
+           file://dbus-1.init \
+          "
+
+SRC_URI[sha256sum] = "5073c8cb9ad20226647bb38f4965182b762a6e1f595ccdc8e59411014bfd640a"
+
+EXTRA_OECONF += " --disable-xml-docs \
+                --disable-doxygen-docs \
+                --enable-largefile \
+                --with-system-socket=/run/dbus/system_bus_socket \
+                --disable-tests \
+                --enable-checks \
+                --enable-asserts \
+                --runstatedir=/run \
+                --enable-shared \
+                --disable-static \
+                "
+
+CONFIGUREOPTS += " CFLAGS='${CFLAGS} -XCClinker --target=${GLOBAL_ARCH_TRIPLE}' \
+                  "
+
+EXTRA_OECONF:append:class-target = " SYSTEMCTL=${base_bindir}/systemctl"
+
+PACKAGECONFIG ??= "${@bb.utils.filter('DISTRO_FEATURES', 'systemd x11', d)} \
+                   user-session \
+                  "
+
+PACKAGECONFIG[systemd] = "--enable-systemd --with-systemdsystemunitdir=${systemd_system_unitdir},--disable-systemd --without-systemdsystemunitdir,systemd"
+PACKAGECONFIG[x11] = "--enable-x11-autolaunch,--without-x --disable-x11-autolaunch, virtual/libx11 libsm"
+PACKAGECONFIG[user-session] = "--enable-user-session --with-systemduserunitdir=${systemd_user_unitdir},--disable-user-session"
+PACKAGECONFIG[verbose-mode] = "--enable-verbose-mode,,,"
+PACKAGECONFIG[audit] = "--enable-libaudit,--disable-libaudit,audit"
+PACKAGECONFIG[selinux] = "--enable-selinux,--disable-selinux,libselinux"
+
+# Disable these options for Purecap
+PACKAGECONFIG:remove = "systemd"
+PACKAGECONFIG:remove = "x11"
+
+DEPENDS += "expat-morello virtual/libintl autoconf-archive-native systemd"
+RDEPENDS:${PN} += " ${PN}-common ${PN}-tools ${PN}-lib expat-morello "
+
+INITSCRIPT_NAME = "dbus-1"
+INITSCRIPT_PARAMS = "start 02 5 3 2 . stop 20 0 1 6 ."
+
+python __anonymous() {
+    if not bb.utils.contains('DISTRO_FEATURES', 'sysvinit', True, False, d):
+        d.setVar("INHIBIT_UPDATERCD_BBCLASS", "1")
+}
+
+PACKAGES =+ " ${PN}-lib ${PN}-common ${PN}-tools"
+
+USERADD_PACKAGES = "${PN}-common"
+USERADD_PARAM:${PN}-common = "--system --home ${localstatedir}/lib/dbus \
+                             --no-create-home --shell /bin/false \
+                             --user-group messagebus"
+
+CONFFILES:${PN} = "${sysconfdir}/dbus-1/system.conf ${sysconfdir}/dbus-1/session.conf"
+
+DEBIANNAME:${PN} = "dbus-1-morello"
+
+OLDPKGNAME = "dbus-x11-morello"
+
+# for compatibility
+RPROVIDES:${PN} = "${OLDPKGNAME}"
+RREPLACES:${PN} += "${OLDPKGNAME}"
+
+FILES:${PN} = "${bindir}/dbus-daemon* \
+               ${bindir}/dbus-cleanup-sockets \
+               ${bindir}/dbus-launch \
+               ${bindir}/dbus-run-session \
+               ${libexecdir}/dbus* \
+               ${sysconfdir} \
+               ${localstatedir} \
+               ${systemd_system_unitdir} \
+               ${systemd_user_unitdir} \
+               ${nonarch_libdir}/tmpfiles.d/dbus.conf \
+"
+FILES:${PN}-common = "${sysconfdir}/dbus-1 \
+                      ${datadir}/dbus-1/services \
+                      ${datadir}/dbus-1/system-services \
+                      ${datadir}/dbus-1/session.d \
+                      ${datadir}/dbus-1/session.conf \
+                      ${datadir}/dbus-1/system.d \
+                      ${datadir}/dbus-1/system.conf \
+                      ${systemd_system_unitdir}/dbus.socket \
+                      ${systemd_system_unitdir}/sockets.target.wants \
+                      ${systemd_user_unitdir}/dbus.socket \
+                      ${systemd_user_unitdir}/sockets.target.wants \
+                      ${nonarch_libdir}/sysusers.d/dbus.conf \
+"
+FILES:${PN}-tools = "${bindir}/dbus-uuidgen \
+                     ${bindir}/dbus-send \
+                     ${bindir}/dbus-monitor \
+                     ${bindir}/dbus-update-activation-environment \
+"
+FILES:${PN}-lib = "${libdir}/lib*.so.*"
+RRECOMMENDS:${PN}-lib = "${PN}"
+
+FILES:${PN}-dev += "${libdir}/dbus-1.0/include ${bindir}/dbus-test-tool ${datadir}/xml/dbus-1"
+
+PACKAGE_WRITE_DEPS += "${@bb.utils.contains('DISTRO_FEATURES','systemd sysvinit','systemd-systemctl-native','',d)}"
+
+pkg_postinst:dbus() {
+       # If both systemd and sysvinit are enabled, mask the dbus-1 init script
+        if ${@bb.utils.contains('DISTRO_FEATURES','systemd sysvinit','true','false',d)}; then
+               if [ -n "$D" ]; then
+                       OPTS="--root=$D"
+               fi
+               systemctl $OPTS mask dbus-1.service
+       fi
+
+       if [ -z "$D" ] && [ -e /etc/init.d/populate-volatile.sh ] ; then
+               /etc/init.d/populate-volatile.sh update
+       fi
+}
+
+pkg_postinst_ontarget:${PN}() {
+    chown messagebus:messagebus ${D}${localstatedir}/lib/dbus
+    chown root:messagebus ${D}${libexecdir}/dbus-daemon-launch-helper
+}
+
+move_systemd_unit_files() {
+    rm -rf ${D}/lib/
+}
+
+do_install() {
+    autotools_do_install
+
+       if ${@bb.utils.contains('DISTRO_FEATURES', 'sysvinit', 'true', 'false', d)}; then
+               install -d ${D}${sysconfdir}/init.d
+               sed 's:@bindir@:${bindir}:' < ${WORKDIR}/dbus-1.init >${WORKDIR}/dbus-1.init.sh
+               install -m 0755 ${WORKDIR}/dbus-1.init.sh ${D}${sysconfdir}/init.d/dbus-1
+               install -d ${D}${sysconfdir}/default/volatiles
+               echo "d messagebus messagebus 0755 /run/dbus none" \
+                    > ${D}${sysconfdir}/default/volatiles/99_dbus
+       fi
+
+       if ${@bb.utils.contains('DISTRO_FEATURES', 'systemd', 'true', 'false', d)}; then
+               for i in dbus.target.wants sockets.target.wants multi-user.target.wants; do \
+                       install -d ${D}${systemd_system_unitdir}/$i; done
+               install -m 0644 ${B}/bus/dbus.service ${B}/bus/dbus.socket ${D}${systemd_system_unitdir}/
+               ln -fs ../dbus.socket ${D}${systemd_system_unitdir}/dbus.target.wants/dbus.socket
+               ln -fs ../dbus.socket ${D}${systemd_system_unitdir}/sockets.target.wants/dbus.socket
+               ln -fs ../dbus.service ${D}${systemd_system_unitdir}/multi-user.target.wants/dbus.service
+       fi
+
+       install -d ${D}${localstatedir}/lib/dbus
+
+       chmod 4755 ${D}${libexecdir}/dbus-daemon-launch-helper
+
+       # Remove Red Hat initscript
+       rm -rf ${D}${sysconfdir}/rc.d
+
+       # Remove empty testexec directory as we don't build tests
+       rm -rf ${D}${libdir}/dbus-1.0/test
+
+       # Remove /var/run as it is created on startup
+       rm -rf ${D}${localstatedir}/run
+
+    # move files that conflict with non-purecap dbus
+    move_systemd_unit_files
+}
+
+CVE_PRODUCT += "d-bus_project:d-bus"
diff --git a/recipes-core/dbus/dbus/dbus-1.init b/recipes-core/dbus/dbus/dbus-1.init
new file mode 100644
index 0000000..90e167e
--- /dev/null
+++ b/recipes-core/dbus/dbus/dbus-1.init
@@ -0,0 +1,123 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          dbus
+# Required-Start:    $remote_fs $syslog
+# Required-Stop:     $remote_fs $syslog
+# Default-Start:     2 3 4 5
+# Default-Stop:      1
+# Short-Description: D-Bus systemwide message bus
+# Description:       D-Bus is a simple interprocess messaging system, used
+#                    for sending messages between applications.
+### END INIT INFO
+#
+# -*- coding: utf-8 -*-
+# Debian init.d script for D-BUS
+# Copyright © 2003 Colin Walters <walters@debian.org>
+
+# set -e
+
+# Source function library.
+. /etc/init.d/functions
+
+DAEMON=@bindir@/dbus-daemon
+NAME=dbus
+DAEMONUSER=messagebus           # must match /usr/share/dbus-1/system.conf
+PIDFILE=/var/run/dbus/pid # must match /usr/share/dbus-1/system.conf
+UUIDDIR=/var/lib/dbus
+DESC="system message bus"
+EVENTDIR=/etc/dbus-1/event.d
+
+test -x $DAEMON || exit 0
+
+# Source defaults file; edit that file to configure this script.
+ENABLED=1
+PARAMS=""
+if [ -e /etc/default/dbus ]; then
+  . /etc/default/dbus
+fi
+
+test "$ENABLED" != "0" || exit 0
+
+start_it_up()
+{
+  mkdir -p "`dirname $PIDFILE`"
+  if [ -e $PIDFILE ]; then
+    PIDDIR=/proc/$(cat $PIDFILE)
+    if [ -d ${PIDDIR} -a  "$(readlink -f ${PIDDIR}/exe)" = "${DAEMON}" ]; then
+      echo "$DESC already started; not starting."
+    else
+      echo "Removing stale PID file $PIDFILE."
+      rm -f $PIDFILE
+    fi
+  fi
+
+  if [ ! -d $UUIDDIR ]; then
+    mkdir -p $UUIDDIR
+    chown $DAEMONUSER $UUIDDIR
+    chgrp $DAEMONUSER $UUIDDIR
+  fi
+
+  dbus-uuidgen --ensure 
+
+  echo -n "Starting $DESC: "
+  start-stop-daemon -o --start --quiet --pidfile $PIDFILE \
+    --user $DAEMONUSER --exec $DAEMON -- --system $PARAMS
+  echo "$NAME."
+  if [ -d $EVENTDIR ]; then
+      run-parts --arg=start $EVENTDIR
+  fi
+}
+
+shut_it_down()
+{
+  if [ -d $EVENTDIR ]; then
+      # TODO: --reverse when busybox supports it
+      run-parts --arg=stop $EVENTDIR
+  fi
+  echo -n "Stopping $DESC: "
+  start-stop-daemon -o --stop  --quiet --pidfile $PIDFILE \
+    --user $DAEMONUSER
+  # We no longer include these arguments so that start-stop-daemon
+  # can do its job even given that we may have been upgraded.
+  # We rely on the pidfile being sanely managed
+  # --exec $DAEMON -- --system $PARAMS
+  echo "$NAME."
+  rm -f $PIDFILE
+}
+
+reload_it()
+{
+  echo -n "Reloading $DESC config: "
+  dbus-send --print-reply --system --type=method_call \
+            --dest=org.freedesktop.DBus \
+            / org.freedesktop.DBus.ReloadConfig > /dev/null
+  # hopefully this is enough time for dbus to reload it's config file.
+  echo "done."
+}
+
+case "$1" in
+  start)
+    start_it_up
+  ;;
+  stop)
+    shut_it_down
+  ;;
+  status)
+    status $DAEMON
+    exit $?
+  ;;
+  reload|force-reload)
+    reload_it
+  ;;
+  restart)
+    shut_it_down
+    sleep 1
+    start_it_up
+  ;;
+  *)
+    echo "Usage: /etc/init.d/$NAME {start|stop|status|restart|reload|force-reload}" >&2
+    exit 1
+  ;;
+esac
+
+exit 0
diff --git a/recipes-core/dbus/dbus/tmpdir.patch b/recipes-core/dbus/dbus/tmpdir.patch
new file mode 100644
index 0000000..bf086e1
--- /dev/null
+++ b/recipes-core/dbus/dbus/tmpdir.patch
@@ -0,0 +1,44 @@
+From 5105fedd7fa13dadd2d0d864fb77873b83b79a4b Mon Sep 17 00:00:00 2001
+From: Koen Kooi <koen@dominion.thruhere.net>
+Date: Thu, 23 Jun 2011 13:52:09 +0200
+Subject: [PATCH] buildsys: hardcode socketdir to /tmp
+
+the TMPDIR env var isn't always pointing to the right target path
+
+Upstream-Status: Inappropriate [embedded]
+
+Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
+
+Original comment:
+
+       avoid to check tmp dir at build time. instead uses hard coded /tmp here
+       comment added by Kevin Tian <kevin.tian@intel.com>
+---
+ configure.ac |   11 +----------
+ 1 files changed, 1 insertions(+), 10 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 408054b..6d26180 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -1483,16 +1483,7 @@ AC_SUBST(TEST_LAUNCH_HELPER_BINARY)
+ AC_DEFINE_UNQUOTED(DBUS_TEST_LAUNCH_HELPER_BINARY, "$TEST_LAUNCH_HELPER_BINARY",
+                    [Full path to the launch helper test program in the builddir])
+
+-#### Find socket directories
+-if ! test -z "$TMPDIR" ; then
+-   DEFAULT_SOCKET_DIR=$TMPDIR
+-elif ! test -z "$TEMP" ; then
+-   DEFAULT_SOCKET_DIR=$TEMP
+-elif ! test -z "$TMP" ; then
+-   DEFAULT_SOCKET_DIR=$TMP
+-else
+-   DEFAULT_SOCKET_DIR=/tmp
+-fi
++DEFAULT_SOCKET_DIR=/tmp
+
+ DEFAULT_SOCKET_DIR=`echo $DEFAULT_SOCKET_DIR | sed 's/+/%2B/g'`
+
+--
+1.6.6.1
+
--
2.40.1
_______________________________________________
linux-morello-distros mailing list -- linux-morello-distros@op-lists.linaro.org
To unsubscribe send an email to linux-morello-distros-leave@op-lists.linaro.org